2019-03-26 04:57 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002611NetSurfJavascriptpublic2018-08-29 13:59
ReporterDave Higton 
Assigned ToMichael Drake 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformBeagleBoard-xMOSRISC OSOS Version5.25 (14-Aug-18)
Product Version3.8 
Target Version3.8Fixed in Version3.8 
Summary0002611: Crash on BBC news web site URL
DescriptionVisit the URL, NS crashes within seconds
Steps To ReproduceVisit the URL
TagsNo tags attached.
Fixed in CI build #4445
Reported in CI build #4436
URL of problem pagehttps://www.bbc.co.uk/bbcthree/article/27a3c100-33d1-4229-a0ca-4e53c9fa7dfb
Attached Files

-Relationships
+Relationships

-Notes
Dave Higton

~0001807

Dave Higton (developer)

Also happens with 3496, which is the earliest version I have. It would seem that binary chop is pointless.
Vincent Sanders

~0001808

Vincent Sanders (administrator)

It is a javascript issue. turn js off and it works

nsgtk: content/handlers/css/select.c:1873: set_libcss_node_data: Assertion `old_node_data == NULL' failed.
Aborted

Vincent Sanders

~0001809

Vincent Sanders (administrator)

#0 __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#1 0x00007ffff362542a in __GI_abort () at abort.c:89
0000002 0x00007ffff361ce67 in __assert_fail_base (fmt=<optimized out>,
    assertion=assertion@entry=0x5555557c7514 "old_node_data == NULL",
    file=file@entry=0x5555557c74e2 "content/handlers/css/select.c", line=line@entry=1873,
    function=function@entry=0x5555557c7850 <__PRETTY_FUNCTION__.10086> "set_libcss_node_data")
    at assert.c:92
#3 0x00007ffff361cf12 in __GI___assert_fail (
    assertion=assertion@entry=0x5555557c7514 "old_node_data == NULL",
    file=file@entry=0x5555557c74e2 "content/handlers/css/select.c", line=line@entry=1873,
    function=function@entry=0x5555557c7850 <__PRETTY_FUNCTION__.10086> "set_libcss_node_data")
    at assert.c:101
#4 0x000055555566ba29 in set_libcss_node_data (pw=<optimized out>, node=<optimized out>,
    libcss_node_data=<optimized out>) at content/handlers/css/select.c:1873
#5 0x000055555575b19a in css_select_style ()
#6 0x000055555566c675 in nscss_get_style (ctx=ctx@entry=0x7fffffffbb30, n=n@entry=0x555556184110,
    media=media@entry=64, inline_style=inline_style@entry=0x0) at content/handlers/css/select.c:266
#7 0x0000555555671119 in box_get_style (n=0x555556184110, root_style=0x0, parent_style=0x0,
    c=0x5555561838a0) at content/handlers/html/box_construct.c:1377
#8 box_construct_element (convert_children=0x7fffffffbaff, ctx=0x5555568ca440)
    at content/handlers/html/box_construct.c:764
#9 convert_xml_to_box (ctx=0x5555568ca440) at content/handlers/html/box_construct.c:384
#10 0x0000555555717352 in schedule_run () at frontends/gtk/schedule.c:132
#11 0x0000555555709942 in nsgtk_main () at frontends/gtk/gui.c:429
#12 0x00005555555d9843 in main (argc=<optimized out>, argv=<optimized out>) at frontends/gtk/gui.c:1206
Michael Drake

~0001810

Michael Drake (administrator)

Thanks for the report. It should be fixed in #4445.
Vincent Sanders

~0001823

Vincent Sanders (administrator)

Thank you for your report, this has been resolved in the 3.8 release
+Notes

-Issue History
Date Modified Username Field Change
2018-08-23 20:37 Dave Higton New Issue
2018-08-23 20:37 Dave Higton File Added: Crashdump
2018-08-23 20:46 Dave Higton Note Added: 0001807
2018-08-23 21:36 Vincent Sanders Status new => confirmed
2018-08-23 21:36 Vincent Sanders Category ABEND => Javascript
2018-08-23 21:36 Vincent Sanders Product Version => 3.8
2018-08-23 21:36 Vincent Sanders Note Added: 0001808
2018-08-23 21:40 Vincent Sanders Note Added: 0001809
2018-08-24 10:26 Michael Drake File Added: crash-test.html
2018-08-24 10:27 Michael Drake File Added: modernizr.js
2018-08-27 19:52 Michael Drake Assigned To => Michael Drake
2018-08-27 19:52 Michael Drake Status confirmed => resolved
2018-08-27 19:52 Michael Drake Resolution open => fixed
2018-08-27 19:52 Michael Drake Fixed in Version => 3.8
2018-08-27 19:52 Michael Drake Target Version => 3.8
2018-08-27 19:52 Michael Drake Fixed in CI build # => 4445
2018-08-27 19:52 Michael Drake Note Added: 0001810
2018-08-29 13:59 Vincent Sanders Status resolved => closed
2018-08-29 13:59 Vincent Sanders Note Added: 0001823
+Issue History